TestCDEntryBean

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## thegroup.projectcddb.database
Class TestCDEntryBean

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              thegroup.projectcddb.database.TestCDEntryBean

All Implemented Interfaces:
  junit.framework.Test

public class TestCDEntryBean
extends junit.framework.TestCase

Field Summary
`private CDEntryBean` | `cDEntryBean`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`TestCDEntryBean()`

Method Summary
`protected void` | `setUp()`
`protected void` | `tearDown()`
`void` | `testCDEntryBean()`
`void` | `testGetDiscId()`
`void` | `testGetExtendedData()`
`void` | `testGetGenre()`
`void` | `testGetId()`
`void` | `testGetTitle()`
`void` | `testGetYear()`
`void` | `testSetDiscid()`
`void` | `testSetExtendedData()`
`void` | `testSetGenre()`
`void` | `testSetId()`
`void` | `testSetTitle()`
`void` | `testSetYear()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cDEntryBean

    private CDEntryBean cDEntryBean

Constructor Detail

### TestCDEntryBean

    public TestCDEntryBean()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testGetDiscId

    public void testGetDiscId()

### testGetExtendedData

    public void testGetExtendedData()
                             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### testGetGenre

    public void testGetGenre()
                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### testGetId

    public void testGetId()
                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### testGetTitle

    public void testGetTitle()
                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### testGetYear

    public void testGetYear()
                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### testSetDiscid

    public void testSetDiscid()

### testSetExtendedData

    public void testSetExtendedData()

### testSetGenre

    public void testSetGenre()

### testSetId

    public void testSetId()

### testSetTitle

    public void testSetTitle()

### testSetYear

    public void testSetYear()

### testCDEntryBean

    public void testCDEntryBean()

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD